Context on the version upgrade

Once an automatic or manual maintenance update has been applied, the most recent TimescaleDB version is then made available within the underlying binaries in Timescale Cloud, allowing users to go ahead and upgrade their instances. 

In other words, service maintenance updates will *not* automatically apply the following the "alter extension" command to the underlying databases, since the users code might depend on running the older version. In the case of this error message, your timescaleDB version must first be upgraded to 1.7 before upgrading to PG12

Running ALTER EXTENSION

First, reconnect to your Timescale Cloud instance using

psql -x <service connection string>

Then, upgrade the TimescaleDB version by running

ALTER EXTENSION timescaledb UPDATE;

To check that the version upgrade happened successfully, run

\dx

You will need to run ALTER EXTENSION on each database in your cluster individually, including the database named "_timescaledb" which is used for query performance recording.


If you find that this upgrade did not happen successfully, please contact [email protected] for assistance. Thank you!

Did this answer your question?